[Bug 229759] multimedia/vlc-qt4 fails to build, when qt5 is also installed

bugzilla-noreply at freebsd.org bugzilla-noreply at freebsd.org
Fri Jul 13 18:10:56 UTC 2018


https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=229759

--- Comment #2 from Mikhail Teterin <mi at FreeBSD.org> ---
(In reply to Tobias C. Berner from comment #1)
> Hm, that seems to be an issue specifically with vlc

How would you know? Poudrierre builds in jails, does not it, so it is unlikely
to ever encounter a situation, where both mocs are installed...

If ${MOC} is empty, vlc's configure looks for a) moc-qt4; b) moc in the PATH.
It finds ${LOCALBASE}/bin/moc (which in our case is a symlink to qtchooser) and
calls it.

Why is qtchooser then choosing the wrong moc, I do not know... Either way,
something must be done...

-- 
You are receiving this mail because:
You are the assignee for the bug.


More information about the freebsd-multimedia mailing list